%global srcname autopage

# open this when upstream fix timeout
%bcond_with tests

Summary:        A Python library to provide automatic paging for console output
Name:           python-%{srcname}
Version:        0.5.1
Release:        5%{?dist}
License:        ASL 2.0
URL:            https://pypi.python.org/pypi/autopage
Source0:        %{pypi_source}
Source1:        setup.py

BuildArch:      noarch

%description
Autopage is a Python library to provide automatic paging for console output.

%package -n python3-%{srcname}
Summary:        A Python library to provide automatic paging for console output
BuildRequires:  python3-devel python3-setuptools
%if %{with tests}
BuildRequires:  %{py3_dist fixtures}
%endif

%description -n python3-%{srcname}
Autopage is a Python library to provide automatic paging for console output.

%prep
%autosetup -n %{srcname}-%{version}
cp %{SOURCE1} ./

%build
%py3_build

%install
%py3_install

%check
%if %{with tests}
%{python3} setup.py test
%endif

%files -n python3-%{srcname}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{srcname}-*.egg-info/
%{python3_sitelib}/%{srcname}/

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.1-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.1-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 15 2023 Shuo Wang <abushwang@tencent.com> - 0.5.1-1
- initial build
